/// $Id : $

var TREE_NODES = [
    ['欢迎使用ADSelfService Plus', "intro.html", "MAIN",
    ],
    ['产品功能', "features.html", "MAIN", 
    ],
    ['新手上路', "gettingstarted/getting-started.html", "MAIN",
        ['系统要求', "requirements.html", "MAIN", 
        ],
        ['软件安装', "installation.html", "MAIN", 
        ],
        ['如何使用ADSelfService Plus', "working.html", "MAIN", 
        ],
        ['许可', "gettingstarted/licensing.html", "MAIN", 
        ],
    ],
    ['域设置', "domain-settings.html", "MAIN", 
    ],
    ['ADSelfService Plus上线准备', "Deployment/Deployment.html", "MAIN",
        ['密码自助服务的部署', "Deployment/Password-Self-Service-Deployment.html", "MAIN", 
        ],
        ['安全管理', "Deployment/Security-Settings.html", "MAIN", 
        ],
        ['目录自助服务部署', "Deployment/Directory-Self-Service.html", "MAIN", 
        ],
        ['统一身份验证', "Deployment/One-Identity.html", "MAIN", 
        ],
    ],
    ['进一步了解产品', "Deployment/Password-Notification-Deployement_Intro.html", "MAIN",
        ['仪表板', "Dashboard.html", "MAIN", 
        ],
        ['报表', "Reports/Reports.html", "MAIN",
            ['用户报表', "Reports/User-Report.html", "MAIN",
                ['锁定的用户报表', "Reports/LockedOutUsersReport.html", "MAIN", 
                ],
                ['密码即将过期的用户报表', "Reports/SoonToExpireUsersReport.html", "MAIN", 
                ],
                ['密码已过期的用户报表', "Reports/PasswordExpiredUsersReport.html", "MAIN", 
                ],
            ],
            ['审计报表', "Reports/Audit-Report.html", "MAIN",
                ['重置密码的审计报表', "Reports/ResetPasswordAuditReport.html", "MAIN", 
                ],
                ['解锁的审计报表', "Reports/UnlockAccountAuditReport.html", "MAIN", 
                ],
                ['自我更新的审计报表', "Reports/SelfUpdateAuditReport.html", "MAIN", 
                ],
                ['密码修改的审计报表', "Reports/ChangePasswordAuditReport.html", "MAIN", 
                ],
                ['通知发送报表', "Reports/NotificationDeliveryReport.html", "MAIN", 
                ],
                ['身份验证失败', "Reports/IdentityVerificationFailureReport.html", "MAIN", 
                ],
                ['用户尝试的审计报表', "Reports/UserAttemptsAuditReport.html", "MAIN", 
                ],
                ['阻止的用户报表', "Reports/BlockedUsersReport.html", "MAIN", 
                ],
            ],
            ['用户登记报表', "Reports/Enroll-Report.html", "MAIN",
                ['已登记用户报表', "Reports/EnrolledUsersReport.html", "MAIN", 
                ],
                ['未注册的用户', "Reports/NonEnrolledUsersReport.html", "MAIN", 
                ],
                ['被许可用户的报表', "Reports/LicensedUsersReport.html", "MAIN", 
                ],
                ['安全保密问题报表', "Reports/SecurityQuestionsReport.html", "MAIN", 
                ],
                ['已注册推送的设备报表', "Reports/PushRegisteredDevicesReport.html", "MAIN", 
                ],
            ],
            ['计划报表', "Reports/schedule-reports.html", "MAIN", 
            ],
        ],
        ['产品配置', "Configuration/configuration-tab.html", "MAIN",
            ['自助服务', "Configuration/Self-Service/Self-Service-Tab.html", "MAIN",
                ['策略配置', "Configuration/Self-Service/Self-Service-Tab.html", "MAIN",
                    ['高级配置', "Configuration/Self-Service/Advanced/Advanced.html", "MAIN",
                        ['阻止用户', "Configuration/Self-Service/Advanced/Block-User.html", "MAIN", 
                        ],
                        ['重置与解锁', "Configuration/Self-Service/Advanced/Reset-Unlock.html", "MAIN", 
                        ],
                        // ['问题及答案的设置', "Configuration/Self-Service/Advanced/QA-Settings.html", "MAIN",
                        // ],
                        ['密码同步设置', "Configuration/Self-Service/Advanced/password-sync-settings.html", "MAIN", 
                        ],
                        ['通知的设置', "Configuration/Self-Service/Advanced/Notification.html", "MAIN", 
                        ],
                        ['自动化设置', "Configuration/Self-Service/Advanced/Automation.html", "MAIN", 
                        ],
                        ['常规设置', "Configuration/Self-Service/Advanced/General.html", "MAIN", 
                        ],
                    ],
                ],
            ],
            ['多因素身份验证', "Configuration/Self-Service/Identity-Verification-Steps.html", "MAIN",
                ['重置/解锁MFA', "Configuration/Self-Service/mfa-for-password-reset-adselfservice-plus.html", "MAIN", 
                ],
                ['应用MFA', "Configuration/Self-Service/enabling-mfa-for-applications.html", "MAIN",
                ],
                ['终端MFA', "Configuration/Self-Service/mfa-for-endpoints.html", "MAIN",
                    ['Windows、macOS和Linux的MFA', "Configuration/Self-Service/mfa-for-windows-macos-linux.html", "MAIN", 
                    ],
                    ['VPN MFA', "Configuration/Self-Service/mfa-for-vpn-logins.html", "MAIN", 
                    ],
                    ['OWA MFA', "Configuration/Self-Service/steps-to-enable-mfa-for-vpn-owa-logins.html", "MAIN", 
                    ],
                ],
                ['高级设置', "Configuration/Self-Service/advanced.html", "MAIN", 
                ],
                ['身份验证', "Configuration/Self-Service/supported-authenticators-for-mfa.html", "MAIN",
                    ['安全保密问题及答案', "Configuration/Self-Service/question-answers.html", "MAIN", 
                    ],
                    ['邮件验证', "Configuration/Self-Service/email-authentication.html", "MAIN", 
                    ],
                    ['SMS验证', "Configuration/Self-Service/sms-authentication.html", "MAIN", 
                    ],
                    ['Google身份验证器', "Configuration/Self-Service/google-authenticator.html", "MAIN", 
                    ],
                    ['Microsoft身份验证', "Configuration/Self-Service/microsoft-authenticator.html", "MAIN", 
                    ],
                    ['Azure AD MFA', "Configuration/Self-Service/azure-ad-mfa.html", "MAIN", 
                    ],
                    ['Duo Security', "Configuration/Self-Service/Duo-Security.html", "MAIN", 
                    ],
                    ['RSA SecurID', "Configuration/Self-Service/RSASecurID.html", "MAIN", 
                    ],
                    ['RADIUS 身份验证', "Configuration/Self-Service/RADIUSAuthentication.html", "MAIN", 
                    ],
                    ['推送通知验证', "Configuration/Self-Service/push-authentication.html", "MAIN", 
                    ],
                    ['指纹验证', "Configuration/Self-Service/fingerprint-authentication.html", "MAIN", 
                    ],
                    ['二维码验证', "Configuration/Self-Service/qrcode-authentication.html", "MAIN", 
                    ],
                    ['TOTP 身份验证', "Configuration/Self-Service/totp-authentication.html", "MAIN", 
                    ],
                    ['SAML 身份验证', "Configuration/Self-Service/saml-mfa-authentication.html", "MAIN", 
                    ],
                    ['AD 安全问题', "Configuration/Self-Service/ad-security-questions.html", "MAIN", 
                    ],
                    ['Yubikey 身份验证', "Configuration/Self-Service/yubikey-authenticator.html", "MAIN", 
                    ],
                    ['Zoho OneAuth TOTP', "Configuration/Self-Service/zoho-oneauth-totp-authenticator.html", "MAIN",
                    ],
                    ['智能卡身份验证', "Configuration/Self-Service/smart-card-authentication.html", "MAIN", 
                    ],
                    ['自定义TOTP身份验证', "Configuration/Self-Service/custom-totp-authenticator.html", "MAIN", 
                    ],
                ],
            ],
            ['密码过期通知', "Configuration/Self-Service/Password-Expiry-Notification-Steps.html", "MAIN", 
            ],
            ['密码策略强化', "Configuration/Self-Service/Password-Policy-Enforcer.html", "MAIN", 
            ],
            ['密码同步/单点登录', "Application/application-home.html", "MAIN",
                ['密码同步', "Application/password-synchronizer.html", "MAIN",
                    ['389 Directory Server', "Application/sync/password-synchronizer-dir389.html", "MAIN", 
                    ],
                    ['Active Directory', "Application/sync/password-synchronizer-ad.html", "MAIN", 
                    ],
                    ['AD LDS', "Application/sync/password-synchronizer-adlds.html", "MAIN", 
                    ],
                    ['G-Suite', "Application/sync/password-synchronizer-google.html", "MAIN", 
                    ],
                    ['HP UX Directory Server', "Application/sync/password-synchronizer-hpux.html", "MAIN", 
                    ],
                    ['IBM i/AS400 System', "Application/sync/password-synchronizer-ibmas400.html", "MAIN", 
                    ],
                    ['Microsoft Dynamics CRM', "Application/sync/password-synchronizer-dynamicscrm.html", "MAIN", 
                    ],
                    ['Microsoft SQL Server', "Application/sync/password-synchronizer-mssql.html", "MAIN", 
                    ],
                    ['Office 365 / Azure', "Application/sync/password-synchronizer-office365.html", "MAIN", 
                    ],
                    ['OpenLDAP', "Application/sync/password-synchronizer-openldap.html", "MAIN", 
                    ],
                    ['Oracle Database', "Application/sync/password-synchronizer-oradb.html", "MAIN", 
                    ],
                    ['Oracle E-business Suite', "Application/sync/password-synchronizer-oraebs.html", "MAIN", 
                    ],
                    ['PostgreSQL Server', "Application/sync/password-synchronizer-postgres.html", "MAIN", 
                    ],
                    ['Salesforce', "Application/sync/password-synchronizer-salesforce.html", "MAIN", 
                    ],
                    ['SAP NetWeaver', "Application/sync/password-synchronizer-sapnetweaver.html", "MAIN", 
                    ],
                    ['ServiceNow', "Application/sync/password-synchronizer-servicenow.html", "MAIN", 
                    ],
                    ['Zendesk', "Application/sync/password-synchronizer-zendesk.html", "MAIN", 
                    ],
                    ['Zoho', "Application/sync/password-synchronizer-zoho.html", "MAIN", 
                    ],
                    ['实时密码同步代理', "Application/sync/password-sync-agent-native-password-reset.html", "MAIN", 
                ],
            ],
                ['单点登录', "Application/SSO.html", "MAIN", 
                    ['SAML应用', "Application/saml-single-sign-on-configuration.html", "MAIN",
                    ],
                    ['OAuth/OIDC应用', "Application/oauth-and-openid-connect-sso.html", "MAIN",
                    ],
                ],
            ],
            ['条件访问', "Configuration/Self-Service/conditional-access.html", "MAIN", 
            ],
            ['目录自助服务', "Configuration/Self-Service/directory-selfservice.html", "MAIN",
                ['自助更新布局', "Configuration/Admin-Tools/sulayout/self-update-layout.html", "MAIN",
                    ['更新信息的定制', "Configuration/Admin-Tools/sulayout/field-customization.html", "MAIN", 
                    ],
                    ['属性列表', "Configuration/Admin-Tools/sulayout/attribute-list.html", "MAIN", 
                    ],
                    ['高级设置', "Configuration/Admin-Tools/sulayout/advanced.html", "MAIN", 
                    ],
                    ['示例', "Configuration/Admin-Tools/sulayout/layout-examples.html", "MAIN", 
                    ],
                    ['修改规则', "Configuration/Admin-Tools/sulayout/modification-rules.html", "MAIN", 
                    ],
                ],
                ['员工信息搜索', "Configuration/Self-Service/Employee-Search-Deployment-Steps.html", "MAIN", 
                ],
                ['邮件组订阅', "Configuration/Self-Service/mail-group-subscription.html", "MAIN", 
                ],
            ],
        ],
        ['管理工具', "Configuration/Admin-Tools/Administrative-Tools.html", "MAIN",
            ['快速登记注册', "Configuration/Admin-Tools/Quick-Enrollment.html", "MAIN",
                ['强制注册', "Configuration/Admin-Tools/Enrollment-Reminder-Steps.html", "MAIN", 
                ],
                ['登记注册通知', "Configuration/Admin-Tools/Enrollment-Notification-Steps.html", "MAIN", 
                ],
                ['自动登记注册', "Configuration/Admin-Tools/Auto-Enrollment-Steps.html", "MAIN", 
                ],
                ['外部数据源', "Configuration/Admin-Tools/External-Data-Sources-Steps.html", "MAIN", 
                ],
            ],
            ['Gina/Mac/Linux安装', "Configuration/Admin-Tools/GINA/GINA-Installation.html", "MAIN",
                ['通过ADSelfService Plus控制台安装客户端软件', "Configuration/Admin-Tools/GINA/CSI-from-ADSelf-Service-Plus-Console.html", "MAIN", 
                ],
                ['通过组策略安装客户端软件', "Configuration/Admin-Tools/GINA/CSI-via-GPO.html", "MAIN", 
                ],
                ['通过SCCM安装客户端软件', "Configuration/Admin-Tools/GINA/CSI-via-SCCM.html", "MAIN", 
                ],
                ['Gina/Mac/Linux手动安装', "Configuration/Admin-Tools/GINA/GINA-Manual-Installation.html", "MAIN", 
                ],
            ],
            ['Gina/Mac/Linux定制', "Configuration/Admin-Tools/GINA/GINA-Customization.html", "MAIN", 
            ],
            ['Gina/Mac/Linux计划表', "Configuration/Admin-Tools/GINA/GINA-Schedulers.html", "MAIN", 
            ],
            ['通过VPN更新缓存的凭证', "Configuration/Admin-Tools/GINA/update-cached-crendentials.html", "MAIN", 
            ],
            ['移动应用部署', "Configuration/Admin-Tools/GINA/mobile-app-deployment.html", "MAIN", 
            ],
            ['技术员', "Configuration/Admin-Tools/Technician-Steps.html", "MAIN", 
            ],
            ['审批工作流', "Configuration/Admin-Tools/Self-Service-Approval.html", "MAIN", 
            ],
        ],
        ['安全中心', "Configuration/Admin-Tools/Security-Center/Security-Center.html", "MAIN",
            ['密码强化器', "Configuration/Admin-Tools/Security-Center/Password-Strengtheners.html", "MAIN", 
            ],
            ['安全保密问题及答案的强化', "Configuration/Admin-Tools/Security-Center/Security-Strenghtheners.html", "MAIN", 
            ],
            ['反黑客系统', "Configuration/Admin-Tools/Security-Center/Anti-Hacking-System.html", "MAIN",
                ['暴力(穷举法)/字典攻击保护器', "Configuration/Admin-Tools/Security-Center/Brute-Force-Attack-Preventers.html", "MAIN", 
                ],
                ['中间人攻击保护器', "Configuration/Admin-Tools/Security-Center/Man-In-The-Middle-Attack.html", "MAIN", 
                ],
                ['休眠帐户漏洞保镖', "Configuration/Admin-Tools/Security-Center/Safe-Guard-Inactive-Users.html", "MAIN", 
                ],
            ],
        ],
    ],
    // ['应用', "Application/application-home.html", "MAIN",
    //     ['密码同步', "Application/password-synchronizer.html", "MAIN",
    //         ['389 Directory Server', "Application/sync/password-synchronizer-dir389.html", "MAIN", 
    //         ],
    //         ['Active Directory', "Application/sync/password-synchronizer-ad.html", "MAIN", 
    //         ],
    //         ['AD LDS', "Application/sync/password-synchronizer-adlds.html", "MAIN", 
    //         ],
    //         ['G-Suite', "Application/sync/password-synchronizer-google.html", "MAIN", 
    //         ],
    //         ['HP UX Directory Server', "Application/sync/password-synchronizer-hpux.html", "MAIN", 
    //         ],
    //         ['IBM i/AS400 System', "Application/sync/password-synchronizer-ibmas400.html", "MAIN", 
    //         ],
    //         ['Microsoft Dynamics CRM', "Application/sync/password-synchronizer-dynamicscrm.html", "MAIN", 
    //         ],
    //         ['Microsoft SQL Server', "Application/sync/password-synchronizer-mssql.html", "MAIN", 
    //         ],
    //         ['Office 365 / Azure', "Application/sync/password-synchronizer-office365.html", "MAIN", 
    //         ],
    //         ['OpenLDAP', "Application/sync/password-synchronizer-openldap.html", "MAIN", 
    //         ],
    //         ['Oracle Database', "Application/sync/password-synchronizer-oradb.html", "MAIN", 
    //         ],
    //         ['Oracle E-business Suite', "Application/sync/password-synchronizer-oraebs.html", "MAIN", 
    //         ],
    //         ['PostgreSQL Server', "Application/sync/password-synchronizer-postgres.html", "MAIN", 
    //         ],
    //         ['Salesforce', "Application/sync/password-synchronizer-salesforce.html", "MAIN", 
    //         ],
    //         ['SAP NetWeaver', "Application/sync/password-synchronizer-sapnetweaver.html", "MAIN", 
    //         ],
    //         ['ServiceNow', "Application/sync/password-synchronizer-servicenow.html", "MAIN", 
    //         ],
    //         ['Zendesk', "Application/sync/password-synchronizer-zendesk.html", "MAIN", 
    //         ],
    //         ['Zoho', "Application/sync/password-synchronizer-zoho.html", "MAIN", 
    //         ],
    //         ['实时密码同步代理', "Application/sync/password-sync-agent-native-password-reset.html", "MAIN", 
    //         ],
    //     ],
    //     ['单点登录', "Application/SSO.html", "MAIN", 
    //     ],
    // ],
    ['管理', "Admin/admin-tab.html", "MAIN",
        ['定制', "Admin/Customize.html", "MAIN",
            ['登录设置', "Admin/Logon-Settings.html", "MAIN",
                //['用户登录页面的定制', "Admin/Customize-User-Logon-Page.html", "MAIN",
                //],
                ['智能卡验证', "Admin/smart-card-authentication.html", "MAIN", 
                ],
                ['单点登录', "Admin/sso-settings.html", "MAIN", 
                ],
            
            ],
            ['个性化', "Admin/Personalize.html", "MAIN", 
            ],
        
        ],
        ['企业设置', "Admin/enterprise-essentials.html", "MAIN",
            ['高可用', "Admin/High-Availability.html", "MAIN", 
            ],
            ['负载均衡', "Admin/load-balancing-for-adselfservice-plus.html", "MAIN", 
            ],
            ['反向代理', "Admin/reverse-proxy.html", "MAIN", 
            ],
        ],
        // ['系统实用工具', "Admin/System-Utilities.html", "MAIN",
        //     ['操控板更新器', "Admin/Dashboard-Updater.html", "MAIN", 
        //     ],
        //     ['自动数据备份', "Admin/Automatic-DB-Backup.html", "MAIN", 
        //     ],
        //     ['域控制器的设置', "Admin/Site-based-DC.html", "MAIN", 
        //     ],
        // ],
        ['产品设置', "Admin/Product-Settings.html", "MAIN",
            ['连接', "Admin/connection.html", "MAIN",
                ['SSL证书工具', "Admin/SSL-Tool-Guide.html", "MAIN", 
                ],
                ['访问URL', "Admin/access-url.html", "MAIN", 
                ],
            
            ],
            ['服务器设置', "Admin/Server-Settings.html", "MAIN",
                ['邮件设置', "Admin/server-settings/mail-server-settings.html", "MAIN", 
                ],
                ['短信设置', "Admin/server-settings/sms-server-settings.html", "MAIN", 
                ],
                // ['代理设置', "Admin/server-settings/proxy-server-settings.html", "MAIN", 
                // ],
            
            ],
            ['仪表板更新器', "Admin/Dashboard-Updater.html", "MAIN", 
            ],
            ['自动数据备份', "Admin/Automatic-DB-Backup.html", "MAIN", 
            ],
            ['集成设置', "Admin/integration-settings.html", "MAIN", 
            ],
            ['Windows服务', "Admin/Windows-Service.html", "MAIN", 
            ],
        
        ],
        ['许可管理', "Admin/License-Management.html", "MAIN",
            ['限制用户', "Admin/Restrict-Users.html", "MAIN", 
            ],
        
        ],
    ],
    ['技术支持', "Admin/Support.html", "MAIN", 
    ],
    ['故障排错提示', "troubleshooting.html", "MAIN", 
    ],
];